﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Charts;
using System.ComponentModel;

namespace PieChart
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            (LayoutRoot.Resources["data"] as Data)[1].Value = 0;
            pieChart.Brushes.RemoveAt(1);
            button1.IsEnabled = false;
            button2.IsEnabled = true;
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            (LayoutRoot.Resources["data"] as Data)[1].Value = 10;
            pieChart.Brushes.Insert(1, Brushes.Yellow);
            button1.IsEnabled = true;
            button2.IsEnabled = false;
        }

    }



    public class DataItem : INotifyPropertyChanged
    {
        private string label;

        public string Label
        {
            get { return label; }
            set 
            { 
                label = value;
                if (PropertyChanged != null)
                    PropertyChanged(this, new PropertyChangedEventArgs("Label"));
            }
        }

        private int val;

        public int Value 
        {
            get { return val; }
            set
            {
                val = value;
                if (PropertyChanged != null)
                    PropertyChanged(this, new PropertyChangedEventArgs("Value"));
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;
    }

    public class Data : ObservableCollection<DataItem>
    {
        public Data()
        {
            Add(new DataItem { Label = "Dwell", Value = 5 });
            Add(new DataItem { Label = "Pause", Value = 6 });
            Add(new DataItem { Label = "Remaining", Value = 3 });
        }
    }
}